Bug 129303 - Boot fails with segmentation fault in /etc/X11/prefd
Summary: Boot fails with segmentation fault in /etc/X11/prefd
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: 4Suite   
(Show other bugs)
Version: 2
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Florian La Roche
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-06 04:08 UTC by john f. reed
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-10 20:49:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description john f. reed 2004-08-06 04:08:05 UTC
Description of problem:
After either update RH9 or doing a fresh install the boot stops with 
the following:

                                                                      
         
Fedora Core release 2 
(Tettnang)                                               
Kernel 2.6.5-1.358 on an 
i686                                                  
                                                                      
         
(none) login: /etc/X11/prefdm: line 35:   324 Segmentation fault      
which gdm
>/dev/null 
2>&1                                                                
/etc/X11/prefdm: line 35:   325 Segmentation fault      which kdm 
>/dev/null 2>
1                                                                     
         
/etc/X11/prefdm: line 80:   333 Segmentation fault      unicode_start 
$SYSFONT 
SYSFONTACM                                                            
         
/etc/X11/prefdm: line 80:   341 Segmentation fault      unicode_start 
$SYSFONT 
SYSFONTACM                                                            
         
/etc/X11/prefdm: line 80:   349 Segmentation fault      unicode_start 
$SYSFONT 
SYSFONTACM                                                            
         
/etc/X11/prefdm: line 80:   357 Segmentation fault      unicode_start 
$SYSFONT 
SYSFONTACM                                                            
         
/etc/X11/prefdm: line 80:   371 Segmentation fault      unicode_start 
$SYSFONT 
SYSFONTACM                                                            
         
/etc/X11/prefdm: line 80:   379 Segmentation fault      unicode_start 
$SYSFONT 
SYSFONTACM                                                            
         
/etc/X11/prefdm: line 80:   387 Segmentation fault      unicode_start 
$SYSFONT 
SYSFONTACM                                                            
         
INIT: Id "x" respawning too fast: disabled for 5 
minutes                       
                                                                      
         
The system is a Connectrix Virtual PC configured as a Pentium 4 Class 
MMX SSE2 with 196MB of memory

Version-Release number of selected component (if applicable):
Fedora 2.0

How reproducible:

Very
Steps to Reproduce:
1.Either update RH9 or install Fedor 2.0
2.Boot from Grub
3.
  
Actual results:

Boot hangs at transition to graphics mode
Expected results:
Graphic mode login window presented
Additional info:

Comment 1 Bill Nottingham 2004-08-10 20:49:29 UTC
This is a problem with VirtualPC.


Note You need to log in before you can comment on or make changes to this bug.